package contests

import (
	"context"
	"git.sch9.ru/new_gate/ms-tester/internal/models"
)

type ContestUseCase interface {
	CreateContest(ctx context.Context, title string) (int32, error)
	ReadContestById(ctx context.Context, id int32) (*models.Contest, error)
	DeleteContest(ctx context.Context, id int32) error
}
